Bug 104298 - Options Panel wizard generates thread-unsafe code
Options Panel wizard generates thread-unsafe code
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Andrei Badea
issues@apisupport
:
Depends on: 106989
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 17:42 UTC by Andrei Badea
Modified: 2007-07-17 11:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-05-18 17:42:30 UTC
It assumes the cancel() and applyChanges() methods of OptionsPanelController are
called in the EDT, but they are called in a RequestProcessor thread. update()
and getComponent() are called in the EDT. I don't know anything about isValid()
and isChanged(), and there is nothing about threading in the Javadoc of OPC.
Comment 1 Jesse Glick 2007-05-19 02:27:03 UTC
If you know what's wrong, please fix it. I have little experience with this API.
Comment 2 Andrei Badea 2007-06-18 13:55:20 UTC
Will do, but core/options need to be fixed first.
Comment 3 Antonin Nebuzelsky 2007-07-10 12:54:45 UTC
Radku, can you comment?
Comment 4 rmatous 2007-07-10 14:47:39 UTC
comments in http://www.netbeans.org/issues/show_bug.cgi?id=106989
Comment 5 Andrei Badea 2007-07-17 11:18:18 UTC
Fixed by the fix of issue 106989.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo